Subject: Re: [PATCH v2 net-next 5/9] psp: add unprivileged version of psp_device_get_locked

From: Willem de Bruijn <[email-masked]>
Date: Wed, 04 Mar 2026 11:25:48 -0500

Wei Wang wrote:
> Add a place holder function called psp_device_get_locked_unpriv() which
> will be used for commands that are unprivileged and are used for
> exisiting commands like dev-dump, dev-get, rx-assoc, tx-assoc.
> Commands including dev-add/delete/change-ntf, key-rotate would keep
> using the privileged version.
> 
> Following commit will be implementing the unprivileged version check.

Can you define what unprivileged means concretely in this context.

>From the follow-on patch, it seems to only affect
psp_dev_check_access, where it additionally allows some operations
from other netns if that netns has an associated device.

Can you give a concise reason for which operations to allow from
another netns and which to deny. Also as forward looking heuristic for
when new operations may be added.

Btw minor typo in first sentence of next commit: associcate.